/****************************************************************************
** Generated QML type registration code
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#include <QtQml/qqml.h>
#include <QtQml/qqmlmoduleregistration.h>

#if __has_include(<types.h>)
#  include <types.h>
#endif


#if !defined(QT_STATIC)
#define Q_QMLTYPE_EXPORT Q_DECL_EXPORT
#else
#define Q_QMLTYPE_EXPORT
#endif
Q_QMLTYPE_EXPORT void qml_register_types_org_kde_kmediasession()
{
    qmlRegisterModule("org.kde.kmediasession", 254, 0);
    QT_WARNING_PUSH QT_WARNING_DISABLE_DEPRECATED
    qmlRegisterTypesAndRevisions<KMediaSessionForeign>("org.kde.kmediasession", 254);
    QMetaType::fromType<KMediaSessionForeign *>().id();
    qmlRegisterEnum<KMediaSession::MediaBackends>("KMediaSession::MediaBackends");
    qmlRegisterEnum<KMediaSession::MediaStatus>("KMediaSession::MediaStatus");
    qmlRegisterEnum<KMediaSession::PlaybackState>("KMediaSession::PlaybackState");
    qmlRegisterEnum<KMediaSession::Error>("KMediaSession::Error");
    qmlRegisterTypesAndRevisions<MetaDataForeign>("org.kde.kmediasession", 254);
    QMetaType::fromType<MetaDataForeign *>().id();
    QT_WARNING_POP
    qmlRegisterModule("org.kde.kmediasession", 254, 254);
}

static const QQmlModuleRegistration orgkdekmediasessionRegistration("org.kde.kmediasession", qml_register_types_org_kde_kmediasession);
